Subject: Re: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Philip Kaludercic <[email-masked]>
Date: Sun, 11 Sep 2022 08:16:38 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> In that case I am confused, if
>>
>> ;; boundp foo-bar: t
>>
>> is backwards-compatible it appears preferable.
>
> Now I'm confused!  I'm not sure how you can be confused by a request for
> information?

Never mind, I had misread the thread.  It appears that if
backwards-compatibility is of importance, an additional section would be
necessary.  Perhaps this could also be used as an opportunity to update
how buffer local variables are specified in general.  Are there any
other issues that are known besides this one?

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 08 Sep 2022 12:53:07 +0000, Philip Kaludercic <[email-masked]> said:
>
>     Philip> Lars Ingebrigtsen <[email-masked]> writes:
>     >> Philip Kaludercic <[email-masked]> writes:
>     >> 
>     >>>> But is that backwards-compatible?
>     >>> ^ typo?
>     >> 
>     >> No?
>     >> 
>     >>> If you meant incompatible, it is any more or less incompatible than
>     >>> adding the boundp to the end of the line?
>     >> 
>     >> It was a question -- I wouldn't have asked if I knew what the answer
>     >> was.
>
>     Philip> In that case I am confused, if
>
>     Philip> ;; boundp foo-bar: t
>
>     Philip> is backwards-compatible it appears preferable.
>
> File mode specification error: (user-error Malformed local variable line: "boundp foo-bar: t")
>
> Robert